#ifndef VGAPAINT_ARRANGE_H
#define	VGAPAINT_ARRANGE_H

#ifdef	VGAPAINT_ARRANGE_C
#define	EXTERN
#define	INIT(x)	=x
#else
#define	EXTERN	extern
#define	INIT(x)
#endif

EXTERN	uchar	to_pointer[16*16]
#ifdef	VGAPAINT_ARRANGE_C
={
	0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,
	0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
	0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
	0,0,0,0,2,2,2,0,2,2,2,0,0,0,0,0,
	0,0,0,0,0,1,1,2,0,1,1,1,0,0,0,0,
	0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
	0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
	0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,
	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
	0,0,2,2,2,2,2,0,0,2,2,2,0,0,0,0,
	0,0,0,1,2,1,1,1,2,0,1,1,2,0,0,0,
	0,0,0,0,2,1,0,0,2,1,0,0,2,1,0,0,
	0,0,0,0,2,1,0,0,2,1,0,0,2,1,0,0,
	0,0,0,0,2,1,0,0,2,1,0,0,2,1,0,0,
	0,0,0,0,2,1,0,0,0,2,2,2,0,1,0,0,
	0,0,0,0,0,1,0,0,0,0,1,1,1,0,0,0,
}
#endif
;

void	ColorSpaceRGBtoHSV(ulong rgb,int *hp,int *sp,int *vp);
ulong	ColorSpaceHSVtoRGB(int h,int s,int v);

void	DoArrange(uchar *palette,uchar *palbits,char *title);
void	DoRange(void);

struct CycleStrip *range_getindex(struct Listbox *,short);
void	range_clearindex(struct Listbox *,short);
void	range_displayindex(struct Listbox *,struct CycleStrip *,short,short);
void	range_scrollindex(struct Listbox *,short);
void	range_clearwindow(struct Listbox *);
void	range_updater1(struct Slider *);
void	range_updater2(struct Slider *);

void	DrawColorArray(struct Rectangle *);

int	PalettePickColor(void);
ulong	PickAbstractColor(void);

#undef	INIT
#undef	EXTERN

#endif

