#ifndef	VGAPAINT_PALETTE_H
#define	VGAPAINT_PALETTE_H

#include "vgapaint.h"

#ifdef	VGAPAINT_PALETTE_C
#define	EXTERN
#define	INIT(x)	=x
#else
#define	EXTERN	extern
#define	INIT(x)
#endif

EXTERN short cpage;
EXTERN double hue;
EXTERN uchar sat,bright;
EXTERN uchar huered,huegrn,hueblu;
EXTERN uchar curred,curgrn,curblu;

#ifndef M_PI
#define	M_PI 3.141592653589793238462643
#endif

#define convert_deg_to_rad	(180.0/M_PI)
#define deg_to_rad(t)		(((t)*M_PI)/180.0)
#define	rad_to_deg(t)		(((t)*180.0)/M_PI)
#define dsin(i)		(sin((i)/convert_deg_to_rad))
#define dcos(i)		(cos((i)/convert_deg_to_rad))
#define COLORVAL(i)	((uchar)(32+normalize*dsin(i)))))

uchar ColorVal3(double);
void move_cwheel_knob(coord,coord);
void move_bright_knob(coord,coord);
double rect_to_polar(coord,coord);
void select_page(short);
void refresh_color(boolean);
void dragColor(uchar,uchar,uchar);
void RGBtoHSV(uchar,uchar,uchar);
void RGBtoHSV2(uchar,uchar,uchar);	/* this is the one to use externally */
void dragRGB(struct Rectangle *,uchar *,coord,coord,boolean);
void dragHue(struct Rectangle *,double);

#undef	INIT
#undef	EXTERN
#endif

