#ifndef	VGAPAINT_SPARE_H
#define	VGAPAINT_SPARE_H

#include "vgapaint.h"

void spare_add(uchar *dest,uchar *src1,uchar *src2,ulong cnt,uchar *atrn,uchar *btrn);
#pragma aux spare_add=		\
	"push	ebp",		\
	"push	ebx",		\
	"mov	ebp,eax",	\
	"xor	eax,eax",	\
	"xor	ebx,ebx",	\
	"sub	edi,esi",	\
	"l:",			\
	"mov	al,[esi]",	\
	"mov	bl,[esi+edi]",	\
	"inc	esi",		\
	"inc	ebp",		\
	"mov	al,[ecx+eax]",	\
	"mov	bl,[edx+ebx]",	\
	"add	al,bl",		\
	"shr	al,1",		\
	"mov	bl,[esp]",	\
	"adc	al,0",		\
	"dec	bl",		\
	"mov	[ebp-1],al",	\
	"mov	[esp],bl",	\
	"jne	l",		\
	"pop	ebp",		\
	"pop	ebp"		\
	parm [eax] [esi] [edi] [ebx] [ecx] [edx]	\
	modify [eax ebx ecx edx esi edi];

/* remember that spare_overlay overlays src2 over src1 */

void spare_overlay(uchar *dest,uchar *src1,uchar *src2,ulong cnt,uchar *atrn,uchar *btrn);
#pragma aux spare_overlay= 	\
	"push ebp",		\
	"mov ebp,eax",		\
	"cld",			\
	"sub edx,esi",		\
	"l:",			\
	"xor eax,eax",		\
	"mov al,[esi]",		\
	"inc esi",		\
	"mov ah,[ebp+eax]",	\
	"test al,al",		\
	"mov al,ah",		\
	"jne s",		\
	"xor ah,ah",		\
	"mov al,[esi+edx]",	\
	"mov al,[ebx+eax]",	\
	"s:",			\
	"mov [edi],al",		\
	"inc edi",		\
	"dec ecx",		\
	"jne l",		\
	"pop ebp"		\
	parm [edi] [edx] [esi] [ecx] [ebx] [eax]	\
	modify [eax ecx esi edi];


boolean	SpareInit(long,long);
void	SpareSwap(void);
void	SpareDelete(void);
void	SpareCopy(void);
void	SpareGetPalette(void);
void	SpareMerge(void);
void	SpareMergeFunc(uchar *d,uchar *pp,uchar *sp);
void	SpareOverlay(void);
void	SpareOverlayFunc(uchar *d,uchar *pp,uchar *sp);
void	SpareUnderlay(void);
void	SpareUnderlayFunc(uchar *d,uchar *pp,uchar *sp);
void	Spare_Operations(void(*func)(uchar *,uchar *,uchar *));
void	SparePictureList(void);

#endif

