#ifndef	VGAPAINT_TONE_H
#define VGAPAINT_TONE_H

#include "vgapaint.h"

void ToneAdjust(void);
void ToneAdjust2(void);
void MonitorGammaAdjust(void);
void MonitorGammaSet(double gammar,double gammag,double gammab);
void MonitorGammaReset(void);

void ColorControl(void);
void CC_Updater1(struct Slider *);
void CC_Updater2(struct Slider *);
void CC_DisplayTranslate(void);

void	CCT_Brightness(uchar *xlat);
void	CCT_Gamma(uchar *xlat);
void	CCT_Quantize(uchar *xlat);
void	CCT_Amplify(uchar *xlat);

void	PaletteToChroma(uchar *chroma,const uchar *palette);
void	ChromaToPalette(uchar *palette,const uchar *chroma,const uchar *translate);
void	RGBTranslate8(uchar *dest,const uchar *src,const uchar *translate);
void	Histogram(ulong *hmem,const BMP src);
void	HistogramV(ulong *hvmem,const BMP src,const uchar *chroma);

#endif

