#ifndef	VGAPAINT_VIDEOX_H
#define	VGAPAINT_VIDEOX_H

#include "vgapaint.h"
#include "video.h"

#ifdef	VGAPAINT_VIDEOX_C
#define	EXTERN
#define	INIT(x)	=x
#else
#define	EXTERN	extern
#define	INIT(x)
#endif

boolean	vid13x_init(enum VD_InitCode vdic,long x,long y);
void	vid13x_rhline(coord x,coord y,uchar *mem,coord width);
void	vid13x_rhlineread(coord x,coord y,uchar *mem,coord width);
void	vid13x_rbitblt(coord x,coord y,coord xs,coord ys,uchar *dm1,long dmod,boolean no_offset);
void	vid13x_drawptr(struct MousePointerInfo *,coord x,coord y);
void	vid13x_eraseptr(struct MousePointerInfo *);

EXTERN struct VDev vd13x
#ifdef	VGAPAINT_VIDEOX_C
	={
		&vid13_set,
		&vid13_plot,
		&vid13_point,
		&vid13_bar,
		&vid13_bitblt,
		&vid13_bitbltcolor,
		&vid13_bitblttrans,
		&vid13_bitbltswap,
		&vid13_bitbltswaptrans,
		&vid13_bitbltswapmask,
		&vid13_bltpattern,
		&vid13_bltpattern3d,
		&vid_text6,		/* rely on limit text routine */
		&vid13_text6trans,
		&vid13_text6lim,
		&vid13_hline,
		&vid13_vline,
		&vid13_line,
		&vid_box,
		&vid_circle,
		&vid_ellipse,
		&vid_blocksave,
		&vid_blockrestore,
		&vid_hblit,
		&vid_vblit,
		&vid13_tile,
		&vid13_rassize,
		&vid13_bpr,
		&vid13x_init,
		&vid_refresh,
		&vid13x_rhline,
		&vid13_quickfill,
		&vid13x_rbitblt,
		&vid13x_drawptr,
		&vid13x_eraseptr,
		&vid13x_rhlineread
	}
#endif
;

EXTERN struct VDevSpecs vd13xspecs
#ifdef	VGAPAINT_VIDEOX_C
	={
		320,200,640,512,640,512,640,512
	}
#endif
;

#undef	EXTERN
#undef	INIT

#endif

